<template>
  <div>
    <BasicTable @register="registerTable" />
  </div>
</template>
<script lang="ts" setup>
import { BasicTable, useTable } from '/@/components/Table';
import { columns_S, searchFormSchema_S } from './materialreq.data';
import { getMaterialReqDetailSNListByPage } from '/@/api/tigerapi/wms/itemext';
import { useI18n } from '/@/hooks/web/useI18n';
import { useMessage } from '/@/hooks/web/useMessage';
const { createMessage } = useMessage();
const { t: bt } = useI18n('');
const [registerTable] = useTable({
  title: bt('物料信息追溯'),
  api: getMaterialReqDetailSNListByPage,
  columns: columns_S,
  formConfig: {
    labelWidth: 120,
    schemas: searchFormSchema_S,
  },
  useSearchForm: true,
  showTableSetting: false,
  bordered: true,
  canResize: true,
  showIndexColumn: false,
});
</script>
